## ctest

#### OS/161 Reference Manual

### Name

ctest - cyclic stride-oriented VM test

### Synopsis

/testbin/ctest [stride]

### Description

ctest creates a 1-megabyte array of pointers and sets it up as a circular linked list, then traverses the linked list. The linked list is set up so each entry points to the one stride entries away.

The stride argument should be odd, so all elements in the list are accessed.

The default stride is 477.

### Requirements

ctest uses the following system calls:

- write
- _exit

ctest should function properly once the VM assignment is complete.